OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ATI.MapObjectBuffer

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetATIMapObjectBuffer :: MonadIO m => m Bool
- gl_ATI_map_object_buffer :: Bool
- glMapObjectBufferATI :: MonadIO m => GLuint -> m (Ptr a)
- glUnmapObjectBufferATI :: MonadIO m => GLuint -> m ()

# Extension Support

glGetATIMapObjectBuffer :: MonadIO m => m Bool Source #

Is the ATI_map_object_buffer extension supported?

gl_ATI_map_object_buffer :: Bool Source #

Is the ATI_map_object_buffer extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIMapObjectBuffer` in those cases instead.

# Functions

glMapObjectBufferATI Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m (Ptr a) |

glUnmapObjectBufferATI Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m () |